All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
preset.hpp File Reference
`#include "viennacl/device_specific/forwards.h"`
`#include "viennacl/meta/predicate.hpp"`
`#include "viennacl/scheduler/forwards.h"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.
| viennacl::scheduler::preset

## Functions

template<typename NumericT >
statement | viennacl::scheduler::preset::mat_mat_prod (NumericT alpha, viennacl::matrix_base< NumericT > const *A, bool A_trans, viennacl::matrix_base< NumericT > const *B, bool B_trans, NumericT beta, viennacl::matrix_base< NumericT > const *C)